PDA

Afficher la version complète : installation pilote ati sur radeon 9250



celtic34
03/02/2007, 11h48
bonjour à tous,

ayant installé la 10.2 sur mon pc fixe équipé d'une carte graphique Sapphire Radeon 9250, je voudrai installer les pilote ATI propriétaire comme j'avais déjà fait sous 10.0 et 10.1

Le dernier donné valable par ATI pour ma carte est le 8.28.8. je l'ai téléchargé, généré le RPM. une fois installé, tout se fige. j'ai du déinstaller le dit pilote pour fonctionner sous 'radeon' d'origine.

pour ce type de carte :
Sapphire Radeon 9250 : ATI RV280 5960
quel est le dernier pilote utilisable ?

si quelqu'un peu me dépanner, merci d'avance

Koalala
03/02/2007, 12h54
Le dernier pilote Ati n'est pas compatible avec 9250 et inférieures.
Il faut utiliser le 8.28.8 mais il est incompatible avec Xorg 7.2
Il faut rétrograder Xorg à la 6.9 ou à la 7.1.
Autant acheter une NVIDIA...

celtic34
03/02/2007, 13h48
Le dernier pilote Ati n'est pas compatible avec 9250 et inférieures.
Il faut utiliser le 8.28.8 mais il est incompatible avec Xorg 7.2
Il faut rétrograder Xorg à la 6.9 ou à la 7.1.
Autant acheter une NVIDIA...[/b]

Ok ma carte est vieille, mais existe-t-il un moyen de rendre compatible un autre pilote ??

Koalala
05/02/2007, 20h09
J'avais une 9250 aussi et le seul moyen d'avoir une accélération 3d correcte est de passer à Xorg 7.1.

celtic34
06/02/2007, 21h33
J'avais une 9250 aussi et le seul moyen d'avoir une accélération 3d correcte est de passer à Xorg 7.1.[/b]

j'ai fait quelques recherches, je ne trouve pas xorg 7.1 en package rpm suse.
Comment as-tu pu faire ton downgrade en 7.1, ou avec quelle version de SuSE as-tu eu la version 7.1 de xorg ?

sieg
08/02/2007, 18h13
<div class='quotetop'>Citation (Koalala @ 5/02/2007 à 19:09) <{POST_SNAPBACK}> (index.php?act=findpost&pid=124666)

J'avais une 9250 aussi et le seul moyen d'avoir une accélération 3d correcte est de passer à Xorg 7.1.[/b]

j'ai fait quelques recherches, je ne trouve pas xorg 7.1 en package rpm suse.
Comment as-tu pu faire ton downgrade en 7.1, ou avec quelle version de SuSE as-tu eu la version 7.1 de xorg ?
[/b][/quote]

Je sais que ce que je vais dire ne p va pas être très constructif, mais j'ai revendu ma radeon X1600 (qui avait 2mois) pour une 7600GT, et l'installation est diaboliquement simple et efficace http://www.alionet.org/style_emoticons/<#EMO_DIR#>/dry.gif

Koalala
08/02/2007, 21h13
Les paquetages ne sont jamais sortis apparement...
EDIT :
Si, il faut rétrograder avec les manipulations ici :
openSUSE Linux 10.2


This section of the HowTo is a workaround while waiting for ATI to build a driver for Xorg 7.2. It was done on an X1400.
[edit]
Concept

In ***** to run with an ATI card under openSUSE 10.2, which includes Xorg 7.2, it is necessary to downgrade Xorg to 7.1.
[edit]
Caution

This is not a perfect install, there are issues with actual 3D hardware acceleration. fglrxinfo never returns when executed. However, this allows X to run in full resolutions without a painful viewing experience as when running under VESA framebuffer. As you are executing these instructions, it may be useful to modify a line in /etc/inittab from "id:5:initdefault:" to "id:3:initdefault:" so that your system starts in text mode. If you wish to see if the graphical login is working, run:

>init 5

To just attempt an X session, run:

>startx
[edit]
Prerequisites

Make sure that gdm and kernel-source are installed.
[edit]
Install
[edit]
Downgrade to Xorg 7.1

Download from pbone.net the Xorg 7.1 binaries (they must NOT be 7.2!) -
ftp://ftp.pbone.net/mirror/atrpms.net/sl10.2-i386/suse/release/
Most openSUSE Xorg binaries I could find were 7.2. Run

>rpm -qa | grep xorg-x11

This should tell you what packages to download. If you have packages installed that you can't find, you may need to uninstall them first. Here's a sample listing of files that were used:
xorg-x11-7.1-22.i586.rpm
xorg-x11-driver-input-7.1-12.i586.rpm
xorg-x11-driver-video-7.1-18.i586.rpm
xorg-x11-fonts-7.1-11.noarch.rpm
xorg-x11-fonts-core-7.1-11.noarch.rpm
xorg-x11-fonts-devel-7.1-10.i586.rpm
xorg-x11-libfontenc-7.1-10.i586.rpm
xorg-x11-libfontenc-devel-7.1-10.i586.rpm
xorg-x11-libICE-7.1-9.i586.rpm
xorg-x11-libICE-devel-7.1-9.i586.rpm
xorg-x11-libs-7.1-14.i586.rpm
xorg-x11-libSM-7.1-9.i586.rpm
xorg-x11-libSM-devel-7.1-9.i586.rpm
xorg-x11-libX11-7.1-18.i586.rpm
xorg-x11-libX11-devel-7.1-18.i586.rpm
xorg-x11-libXau-7.1-9.i586.rpm
xorg-x11-libXau-devel-7.1-9.i586.rpm
xorg-x11-libXdmcp-7.1-10.i586.rpm
xorg-x11-libXdmcp-devel-7.1-10.i586.rpm
xorg-x11-libXext-7.1-9.i586.rpm
xorg-x11-libXext-devel-7.1-9.i586.rpm
xorg-x11-libXfixes-7.1-9.i586.rpm
xorg-x11-libXfixes-devel-7.1-9.i586.rpm
xorg-x11-libxkbfile-7.1-9.i586.rpm
xorg-x11-libxkbfile-devel-7.1-9.i586.rpm
xorg-x11-libXmu-7.1-9.i586.rpm
xorg-x11-libXmu-devel-7.1-9.i586.rpm
xorg-x11-libXp-7.1-9.i586.rpm
xorg-x11-libXp-devel-7.1-9.i586.rpm
xorg-x11-libXpm-7.1-9.i586.rpm
xorg-x11-libXpm-devel-7.1-9.i586.rpm
xorg-x11-libXprintUtil-7.1-9.i586.rpm
xorg-x11-libXprintUtil-devel-7.1-9.i586.rpm
xorg-x11-libXrender-7.1-9.i586.rpm
xorg-x11-libXrender-devel-7.1-9.i586.rpm
xorg-x11-libXt-7.1-13.i586.rpm
xorg-x11-libXt-devel-7.1-13.i586.rpm
xorg-x11-libXv-7.1-9.i586.rpm
xorg-x11-libXv-devel-7.1-9.i586.rpm
xorg-x11-proto-devel-7.1-11.i586.rpm
xorg-x11-server-7.1-33.i586.rpm
xorg-x11-util-devel-7.1-12.i586.rpm
xorg-x11-xtrans-devel-7.1-11.i586.rpm
xorg-x11-Xvnc-7.1-5.i586.rpm

Put them all in the same directory WITH NO OTHER rpms and

>rpm -U --force *.rpm

This will make "upgrade" you to Xorg 7.1
Download Here (ftp://ftp.pbone.net/mirror/atrpms.net/sl10.2-i386/suse/release/)
Mais ce ne sera jamais parfais. (fglrxinfo ne fonctionnera peut-être pas)